Subject: bug#78682: closed (Re: bug#78682: Building libltdl with MSVC fails)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Jun 2025 18:22:03 +0000

Your bug report

#78682: Building libltdl with MSVC fails

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78682: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78682
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78682: Building libltdl with MSVC fails
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked]
Cc: Kirill Makurin <[email-masked]>
Date: Thu, 5 Jun 2025 21:21:01 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 05/06/2025 21:03, Kirill Makurin wrote:
> I can confirm that this was the issue.
> 
> I had to explicitly set both F77 and FC to "no". Even if there is no 
> Fortran compiler found, configure sets them to "ifc".

Great! I am glad you found a simple fix. I have set F77 and FC to no in
my test environment, but I could not remember why.

> I was thinking to suggest both libtool and automake to add options to 
> explicitly disable checks and test for specific languages. Obviously, 
> this needs a separate discussion.

For now, I will update notes.texi to inform users about this
configuration issue and close the bug.

Thank you for debugging!

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354

Subject: Building libltdl with MSVC fails
From: Kirill Makurin <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 3 Jun 2025 14:29:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Building libltdl with MSVC fails:

```
libltdl_la-ltdl.obj : error LNK2019: unresolved external symbol lt_ltdl_LTX_preloaded_symbols referenced in function lt_dlinit
libltdl\.libs\libltdl-7.dll : fatal error LNK1120: 1 unresolved externals
```

I attached full invocation in separate file since it's quite messy.

I did some investigation.

Apparently, `lt_ltdl_LTX_preloaded_symbols` is supposed to be defined in libtool-generated `libltdl/.libs/libltdlS.c`, however it defines `lt_libltdl_LTX_preloaded_symbols` instead, as if it was mingw build.

I was building from libtool-2.5.4 release tarball. I tried building from `master` and the issue also exist there.

Thank you for working on MSVC-related issues. I have some other things to report/suggest.

- Kirill Makurin